Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-29 Thread Ricky Schneberger
>> [.. cutting all bogus as it is unreadable, even with html mails..]
>>
>> On Tue, Jun 28, 2016 at 4:00 PM, Yaniv Dary  wrote:
>>
>>> Do you have any 3.5 clusters? You can only upgrade to 4.0, if all the
>>> cluster are 3.6 compatibility.
 #engine-backup --mode=restore --no-restore-permissions --provision-db
 --provision-dwh-db --provision-reports-db --file=engine-backup.tar.gz
 --log=engine-backup-restore.log

 Success with the restore!

 Thanks for pointing me out. What I did was just following the
 documentation, right or wrong.

 But when I run "Engine-setup" I got stucked with

 "[ INFO  ] Stage: Setup validation
 [WARNING] Less than 16384MB of memory is available
 [ ERROR ] Failed to execute stage 'Setup validation': Trying to upgrade
 from unsupported versions: 3.5
 [ INFO  ] Stage: Clean up
   Log file is located at
 /var/log/ovirt-engine/setup/ovirt-engine-setup-20160628120936-ix7pb8.log
 [ INFO  ] Generating answer file
 '/var/lib/ovirt-engine/setup/answers/20160628121149-setup.conf'
 [ INFO  ] Stage: Pre-termination
 [ INFO  ] Stage: Termination
 [ ERROR ] Execution of setup failed"

> 3.6 EL6 migration to 4.0 EL7 works OK for me with following steps:
>
> 1. 3.6 EL6 engine (3.6 dc/clstr level)
> 2. 3.6 EL6 engine-backup and do backup
> 3. 4.0 EL7 clean install
> 4. 4.0 EL7 engine-backup and do restore
> 5. 4.0 EL7 engine-setup
>
> What are the problematic steps on other side?
>
> Do we have a problem if 3.6 EL6 engine does have dc/clstr level set to '3.5'?
>
> j.
>

I "thought" I got cluster level 3.6. Bad move to not check this up. Now
when I tried to upgrade from cluster level 3.5 I found out that I maybe
need EL7 hosts to upgrade to 3.6.
I have VDSM 4.16.x on my el6 hosts and thought it should work but no
success.

regards

-- 
Ricky Schneberger




Use PGP to protect your own privacy!

Key fingerprint = 59E1 2B00 C28B 6E0D C8D1  D85B 39AA 7CD5 B88C 0B63
Key-ID: 0xB88C0B63




--
IMPORTANT!
This message has been scanned for viruses and phishing links.
However, it is your responsibility to evaluate the links and attachments you 
choose to click.
If you are uncertain, we always try to help.
Greetings helpd...@actnet.se


___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-28 Thread Jiri Belka
> [.. cutting all bogus as it is unreadable, even with html mails..]
> 
> On Tue, Jun 28, 2016 at 4:00 PM, Yaniv Dary  wrote:
> 
> > Do you have any 3.5 clusters? You can only upgrade to 4.0, if all the
> > cluster are 3.6 compatibility.

> >>
> >> #engine-backup --mode=restore --no-restore-permissions --provision-db
> >> --provision-dwh-db --provision-reports-db --file=engine-backup.tar.gz
> >> --log=engine-backup-restore.log
> >>
> >> Success with the restore!
> >>
> >> Thanks for pointing me out. What I did was just following the
> >> documentation, right or wrong.
> >>
> >> But when I run "Engine-setup" I got stucked with
> >>
> >> "[ INFO  ] Stage: Setup validation
> >> [WARNING] Less than 16384MB of memory is available
> >> [ ERROR ] Failed to execute stage 'Setup validation': Trying to upgrade
> >> from unsupported versions: 3.5
> >> [ INFO  ] Stage: Clean up
> >>   Log file is located at
> >> /var/log/ovirt-engine/setup/ovirt-engine-setup-20160628120936-ix7pb8.log
> >> [ INFO  ] Generating answer file
> >> '/var/lib/ovirt-engine/setup/answers/20160628121149-setup.conf'
> >> [ INFO  ] Stage: Pre-termination
> >> [ INFO  ] Stage: Termination
> >> [ ERROR ] Execution of setup failed"
> >>

3.6 EL6 migration to 4.0 EL7 works OK for me with following steps:

1. 3.6 EL6 engine (3.6 dc/clstr level)
2. 3.6 EL6 engine-backup and do backup
3. 4.0 EL7 clean install
4. 4.0 EL7 engine-backup and do restore
5. 4.0 EL7 engine-setup

What are the problematic steps on other side?

Do we have a problem if 3.6 EL6 engine does have dc/clstr level set to '3.5'?

j.
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-28 Thread Yaniv Dary
Adding Jiri.

Yaniv Dary
Technical Product Manager
Red Hat Israel Ltd.
34 Jerusalem Road
Building A, 4th floor
Ra'anana, Israel 4350109

Tel : +972 (9) 7692306
8272306
Email: yd...@redhat.com
IRC : ydary


On Tue, Jun 28, 2016 at 4:00 PM, Yaniv Dary  wrote:

> Do you have any 3.5 clusters? You can only upgrade to 4.0, if all the
> cluster are 3.6 compatibility.
>
> Yaniv Dary
> Technical Product Manager
> Red Hat Israel Ltd.
> 34 Jerusalem Road
> Building A, 4th floor
> Ra'anana, Israel 4350109
>
> Tel : +972 (9) 7692306
> 8272306
> Email: yd...@redhat.com
> IRC : ydary
>
>
> On Tue, Jun 28, 2016 at 1:22 PM, Ricky Schneberger 
> wrote:
>
>> On 2016-06-28 10:21, Yedidyah Bar David wrote:
>> > On Tue, Jun 28, 2016 at 10:53 AM, Ricky Schneberger
>> >  wrote:
>> >> On 2016-06-27 19:15, Fernando Fuentes wrote:
>> >>
>> >> Ricky,
>> >>
>> >> I am under the impression that the DB migration was implemented in
>> >> release 3.6.6.
>> >>
>> >> I might be wrong.
>> >>
>> >> https://www.ovirt.org/release/3.6.6/
>> >>
>> >> What's New in 3.6.6?
>> >> Enhancement
>> >> oVirt Engine
>> >>
>> >> BZ 1241149 [RFE] Provide way to preform in-cluster upgrade of hosts
>> from
>> >> el6->el7.
>> >> BZ 1332463 [RFE] restore: ensure that 3.6 on el6 backup can be restored
>> >> on 3.6 on el7
>> >> Feature:
>> >>
>> >> Allow engine-backup on el7 to restore backups taken on el6.
>> >>
>> >> Reason:
>> >>
>> >> engine 4.0 does not support el6. Users that want to upgrade from 3.6 on
>> >> el6 to 4.0 on el7 have to do this by backing up the engine on 3.6/el6
>> >> and restore on 4.0/el7.
>> >>
>> >> This feature, backported from 4.0, allows to do such a migration also
>> in
>> >> 3.6.
>> >>
>> >> Result:
>> >>
>> >> Using this flow, it's possible to migrate a el6 setup to el7:
>> >>
>> >> On the existing engine machine run:
>> >> 1. engine-backup --mode=backup --file=engine-3.6.bck --log=backup.log
>> >>
>> >> On a new el7 machine:
>> >> 2. Install engine, including dwh if it was set up on el6.
>> >> 3. Copy engine-3.6.bck to the el7 machine
>> >> 4. engine-backup --mode=restore --file=engine-3.6.bck --log=restore.log
>> >> --provision-db --no-restore-permissions
>> >> 5. engine-setup
>> >>
>> >> Check engine-backup documentation for other options, including using
>> >> remote databases, extra grants/permissions, etc.
>> >>
>> >>
>> >> One step forward, two backward
>> >>
>> >> - upgrade the old EL6 to ovirt 3.6.6
>> >> - engine-backup --mode=backup --file=engine-backup.tar.gz
>> --log=backup.log
>> >> - install http://resources.ovirt.org/pub/yum-repo/ovirt-release40.rpm,
>> to
>> >> have ovirt-engine 4.0.0.6.
>> >> - yum install ovirt-engine
>> >> - engine-backup --mode=restore --no-restore-permissions --provision-db
>> >> --file=engine-backup.tar.gz --log=engine-backup-restore.log
>> >>
>> >> Then I got this error...
>> >>
>> >> "Preparing to restore:
>> >> - Unpacking file 'engine-backup.tar.gz'
>> >> Restoring:
>> >> - Files
>> >>
>> --
>> >> Please note:
>> >>
>> >> Operating system is different from the one used during backup.
>> >> Current operating system: centos7
>> >> Operating system at backup: centos6
>> >>
>> >> Apache httpd configuration will not be restored.
>> >> You will be asked about it on the next engine-setup run.
>> >>
>> --
>> >> Provisioning PostgreSQL users/databases:
>> >> - user 'engine', database 'engine'
>> >> Restoring:
>> >> FATAL: Can't connect to database 'ovirt_engine_history'. Please see
>> >> '/usr/bin/engine-backup --help'."
>> >>
>> > The backup/restore here is just like normal ones, so for details you
>> can read
>> > the output of 'engine-backup --help' or [1].
>> >
>> > In your specific case, you seem to have dwh in your backup.
>> >
>> > To restore it, you have to either prepare a database with the same
>> credentials
>> > as the one used in the old machine, or, if it was
>> automatically-provisioned by
>> > engine-setup, you can pass the option '--provision-dwh-db' to make
>> engine-backup
>> > create it for you.
>> >
>> > I think I should add an option '--provision-all-databases' or something
>> like
>> > that. Didn't feel very good about it so never done, and no-one asked
>> for it...
>> >
>> > Best regards,
>> >
>> > [1]
>> http://www.ovirt.org/develop/release-management/features/engine/engine-backup/
>> >
>> >
>>
>> #engine-backup --mode=restore --no-restore-permissions --provision-db
>> --provision-dwh-db --provision-reports-db --file=engine-backup.tar.gz
>> --log=engine-backup-restore.log
>>
>> Success with the restore!
>>
>> Thanks for pointing me out. What I did was just following the
>> documentation, right or wrong.
>>
>> But when I run "Engine-setup" I got stucked with
>>
>> "[ INFO  ] Stage: Setup validation
>> [WARNING] Less than 16384MB of memory is 

Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-28 Thread Yaniv Dary
Do you have any 3.5 clusters? You can only upgrade to 4.0, if all the
cluster are 3.6 compatibility.

Yaniv Dary
Technical Product Manager
Red Hat Israel Ltd.
34 Jerusalem Road
Building A, 4th floor
Ra'anana, Israel 4350109

Tel : +972 (9) 7692306
8272306
Email: yd...@redhat.com
IRC : ydary


On Tue, Jun 28, 2016 at 1:22 PM, Ricky Schneberger 
wrote:

> On 2016-06-28 10:21, Yedidyah Bar David wrote:
> > On Tue, Jun 28, 2016 at 10:53 AM, Ricky Schneberger
> >  wrote:
> >> On 2016-06-27 19:15, Fernando Fuentes wrote:
> >>
> >> Ricky,
> >>
> >> I am under the impression that the DB migration was implemented in
> >> release 3.6.6.
> >>
> >> I might be wrong.
> >>
> >> https://www.ovirt.org/release/3.6.6/
> >>
> >> What's New in 3.6.6?
> >> Enhancement
> >> oVirt Engine
> >>
> >> BZ 1241149 [RFE] Provide way to preform in-cluster upgrade of hosts from
> >> el6->el7.
> >> BZ 1332463 [RFE] restore: ensure that 3.6 on el6 backup can be restored
> >> on 3.6 on el7
> >> Feature:
> >>
> >> Allow engine-backup on el7 to restore backups taken on el6.
> >>
> >> Reason:
> >>
> >> engine 4.0 does not support el6. Users that want to upgrade from 3.6 on
> >> el6 to 4.0 on el7 have to do this by backing up the engine on 3.6/el6
> >> and restore on 4.0/el7.
> >>
> >> This feature, backported from 4.0, allows to do such a migration also in
> >> 3.6.
> >>
> >> Result:
> >>
> >> Using this flow, it's possible to migrate a el6 setup to el7:
> >>
> >> On the existing engine machine run:
> >> 1. engine-backup --mode=backup --file=engine-3.6.bck --log=backup.log
> >>
> >> On a new el7 machine:
> >> 2. Install engine, including dwh if it was set up on el6.
> >> 3. Copy engine-3.6.bck to the el7 machine
> >> 4. engine-backup --mode=restore --file=engine-3.6.bck --log=restore.log
> >> --provision-db --no-restore-permissions
> >> 5. engine-setup
> >>
> >> Check engine-backup documentation for other options, including using
> >> remote databases, extra grants/permissions, etc.
> >>
> >>
> >> One step forward, two backward
> >>
> >> - upgrade the old EL6 to ovirt 3.6.6
> >> - engine-backup --mode=backup --file=engine-backup.tar.gz
> --log=backup.log
> >> - install http://resources.ovirt.org/pub/yum-repo/ovirt-release40.rpm,
> to
> >> have ovirt-engine 4.0.0.6.
> >> - yum install ovirt-engine
> >> - engine-backup --mode=restore --no-restore-permissions --provision-db
> >> --file=engine-backup.tar.gz --log=engine-backup-restore.log
> >>
> >> Then I got this error...
> >>
> >> "Preparing to restore:
> >> - Unpacking file 'engine-backup.tar.gz'
> >> Restoring:
> >> - Files
> >>
> --
> >> Please note:
> >>
> >> Operating system is different from the one used during backup.
> >> Current operating system: centos7
> >> Operating system at backup: centos6
> >>
> >> Apache httpd configuration will not be restored.
> >> You will be asked about it on the next engine-setup run.
> >>
> --
> >> Provisioning PostgreSQL users/databases:
> >> - user 'engine', database 'engine'
> >> Restoring:
> >> FATAL: Can't connect to database 'ovirt_engine_history'. Please see
> >> '/usr/bin/engine-backup --help'."
> >>
> > The backup/restore here is just like normal ones, so for details you can
> read
> > the output of 'engine-backup --help' or [1].
> >
> > In your specific case, you seem to have dwh in your backup.
> >
> > To restore it, you have to either prepare a database with the same
> credentials
> > as the one used in the old machine, or, if it was
> automatically-provisioned by
> > engine-setup, you can pass the option '--provision-dwh-db' to make
> engine-backup
> > create it for you.
> >
> > I think I should add an option '--provision-all-databases' or something
> like
> > that. Didn't feel very good about it so never done, and no-one asked for
> it...
> >
> > Best regards,
> >
> > [1]
> http://www.ovirt.org/develop/release-management/features/engine/engine-backup/
> >
> >
>
> #engine-backup --mode=restore --no-restore-permissions --provision-db
> --provision-dwh-db --provision-reports-db --file=engine-backup.tar.gz
> --log=engine-backup-restore.log
>
> Success with the restore!
>
> Thanks for pointing me out. What I did was just following the
> documentation, right or wrong.
>
> But when I run "Engine-setup" I got stucked with
>
> "[ INFO  ] Stage: Setup validation
> [WARNING] Less than 16384MB of memory is available
> [ ERROR ] Failed to execute stage 'Setup validation': Trying to upgrade
> from unsupported versions: 3.5
> [ INFO  ] Stage: Clean up
>   Log file is located at
> /var/log/ovirt-engine/setup/ovirt-engine-setup-20160628120936-ix7pb8.log
> [ INFO  ] Generating answer file
> '/var/lib/ovirt-engine/setup/answers/20160628121149-setup.conf'
> [ INFO  ] Stage: Pre-termination
> [ INFO  ] Stage: Termination
> [ ERROR ] Execution of setup 

Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-28 Thread Ricky Schneberger
On 2016-06-28 10:21, Yedidyah Bar David wrote:
> On Tue, Jun 28, 2016 at 10:53 AM, Ricky Schneberger
>  wrote:
>> On 2016-06-27 19:15, Fernando Fuentes wrote:
>>
>> Ricky,
>>
>> I am under the impression that the DB migration was implemented in
>> release 3.6.6.
>>
>> I might be wrong.
>>
>> https://www.ovirt.org/release/3.6.6/
>>
>> What's New in 3.6.6?
>> Enhancement
>> oVirt Engine
>>
>> BZ 1241149 [RFE] Provide way to preform in-cluster upgrade of hosts from
>> el6->el7.
>> BZ 1332463 [RFE] restore: ensure that 3.6 on el6 backup can be restored
>> on 3.6 on el7
>> Feature:
>>
>> Allow engine-backup on el7 to restore backups taken on el6.
>>
>> Reason:
>>
>> engine 4.0 does not support el6. Users that want to upgrade from 3.6 on
>> el6 to 4.0 on el7 have to do this by backing up the engine on 3.6/el6
>> and restore on 4.0/el7.
>>
>> This feature, backported from 4.0, allows to do such a migration also in
>> 3.6.
>>
>> Result:
>>
>> Using this flow, it's possible to migrate a el6 setup to el7:
>>
>> On the existing engine machine run:
>> 1. engine-backup --mode=backup --file=engine-3.6.bck --log=backup.log
>>
>> On a new el7 machine:
>> 2. Install engine, including dwh if it was set up on el6.
>> 3. Copy engine-3.6.bck to the el7 machine
>> 4. engine-backup --mode=restore --file=engine-3.6.bck --log=restore.log
>> --provision-db --no-restore-permissions
>> 5. engine-setup
>>
>> Check engine-backup documentation for other options, including using
>> remote databases, extra grants/permissions, etc.
>>
>>
>> One step forward, two backward
>>
>> - upgrade the old EL6 to ovirt 3.6.6
>> - engine-backup --mode=backup --file=engine-backup.tar.gz --log=backup.log
>> - install http://resources.ovirt.org/pub/yum-repo/ovirt-release40.rpm, to
>> have ovirt-engine 4.0.0.6.
>> - yum install ovirt-engine
>> - engine-backup --mode=restore --no-restore-permissions --provision-db
>> --file=engine-backup.tar.gz --log=engine-backup-restore.log
>>
>> Then I got this error...
>>
>> "Preparing to restore:
>> - Unpacking file 'engine-backup.tar.gz'
>> Restoring:
>> - Files
>> --
>> Please note:
>>
>> Operating system is different from the one used during backup.
>> Current operating system: centos7
>> Operating system at backup: centos6
>>
>> Apache httpd configuration will not be restored.
>> You will be asked about it on the next engine-setup run.
>> --
>> Provisioning PostgreSQL users/databases:
>> - user 'engine', database 'engine'
>> Restoring:
>> FATAL: Can't connect to database 'ovirt_engine_history'. Please see
>> '/usr/bin/engine-backup --help'."
>>
> The backup/restore here is just like normal ones, so for details you can read
> the output of 'engine-backup --help' or [1].
>
> In your specific case, you seem to have dwh in your backup.
>
> To restore it, you have to either prepare a database with the same credentials
> as the one used in the old machine, or, if it was automatically-provisioned by
> engine-setup, you can pass the option '--provision-dwh-db' to make 
> engine-backup
> create it for you.
>
> I think I should add an option '--provision-all-databases' or something like
> that. Didn't feel very good about it so never done, and no-one asked for it...
>
> Best regards,
>
> [1] 
> http://www.ovirt.org/develop/release-management/features/engine/engine-backup/
>
>

#engine-backup --mode=restore --no-restore-permissions --provision-db
--provision-dwh-db --provision-reports-db --file=engine-backup.tar.gz
--log=engine-backup-restore.log

Success with the restore!

Thanks for pointing me out. What I did was just following the
documentation, right or wrong.

But when I run "Engine-setup" I got stucked with

"[ INFO  ] Stage: Setup validation
[WARNING] Less than 16384MB of memory is available
[ ERROR ] Failed to execute stage 'Setup validation': Trying to upgrade
from unsupported versions: 3.5
[ INFO  ] Stage: Clean up
  Log file is located at
/var/log/ovirt-engine/setup/ovirt-engine-setup-20160628120936-ix7pb8.log
[ INFO  ] Generating answer file
'/var/lib/ovirt-engine/setup/answers/20160628121149-setup.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of setup failed"

Seems to be something missing from an earlier db-upgrade?

-- 
Ricky Schneberger




Use PGP to protect your own privacy!

Key fingerprint = 59E1 2B00 C28B 6E0D C8D1  D85B 39AA 7CD5 B88C 0B63
Key-ID: 0xB88C0B63





signature.asc
Description: OpenPGP digital signature
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-28 Thread Yedidyah Bar David
On Tue, Jun 28, 2016 at 10:53 AM, Ricky Schneberger
 wrote:
> On 2016-06-27 19:15, Fernando Fuentes wrote:
>
> Ricky,
>
> I am under the impression that the DB migration was implemented in
> release 3.6.6.
>
> I might be wrong.
>
> https://www.ovirt.org/release/3.6.6/
>
> What's New in 3.6.6?
> Enhancement
> oVirt Engine
>
> BZ 1241149 [RFE] Provide way to preform in-cluster upgrade of hosts from
> el6->el7.
> BZ 1332463 [RFE] restore: ensure that 3.6 on el6 backup can be restored
> on 3.6 on el7
> Feature:
>
> Allow engine-backup on el7 to restore backups taken on el6.
>
> Reason:
>
> engine 4.0 does not support el6. Users that want to upgrade from 3.6 on
> el6 to 4.0 on el7 have to do this by backing up the engine on 3.6/el6
> and restore on 4.0/el7.
>
> This feature, backported from 4.0, allows to do such a migration also in
> 3.6.
>
> Result:
>
> Using this flow, it's possible to migrate a el6 setup to el7:
>
> On the existing engine machine run:
> 1. engine-backup --mode=backup --file=engine-3.6.bck --log=backup.log
>
> On a new el7 machine:
> 2. Install engine, including dwh if it was set up on el6.
> 3. Copy engine-3.6.bck to the el7 machine
> 4. engine-backup --mode=restore --file=engine-3.6.bck --log=restore.log
> --provision-db --no-restore-permissions
> 5. engine-setup
>
> Check engine-backup documentation for other options, including using
> remote databases, extra grants/permissions, etc.
>
>
> One step forward, two backward
>
> - upgrade the old EL6 to ovirt 3.6.6
> - engine-backup --mode=backup --file=engine-backup.tar.gz --log=backup.log
> - install http://resources.ovirt.org/pub/yum-repo/ovirt-release40.rpm, to
> have ovirt-engine 4.0.0.6.
> - yum install ovirt-engine
> - engine-backup --mode=restore --no-restore-permissions --provision-db
> --file=engine-backup.tar.gz --log=engine-backup-restore.log
>
> Then I got this error...
>
> "Preparing to restore:
> - Unpacking file 'engine-backup.tar.gz'
> Restoring:
> - Files
> --
> Please note:
>
> Operating system is different from the one used during backup.
> Current operating system: centos7
> Operating system at backup: centos6
>
> Apache httpd configuration will not be restored.
> You will be asked about it on the next engine-setup run.
> --
> Provisioning PostgreSQL users/databases:
> - user 'engine', database 'engine'
> Restoring:
> FATAL: Can't connect to database 'ovirt_engine_history'. Please see
> '/usr/bin/engine-backup --help'."
>

The backup/restore here is just like normal ones, so for details you can read
the output of 'engine-backup --help' or [1].

In your specific case, you seem to have dwh in your backup.

To restore it, you have to either prepare a database with the same credentials
as the one used in the old machine, or, if it was automatically-provisioned by
engine-setup, you can pass the option '--provision-dwh-db' to make engine-backup
create it for you.

I think I should add an option '--provision-all-databases' or something like
that. Didn't feel very good about it so never done, and no-one asked for it...

Best regards,

[1] 
http://www.ovirt.org/develop/release-management/features/engine/engine-backup/

> I have attached the engine-backup-restore.log.
>
> //Ricky
>
>
>
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users
>



-- 
Didi
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-28 Thread Ricky Schneberger
On 2016-06-28 08:37, Ricky Schneberger wrote:
> On 2016-06-27 23:52, Simone Tiraboschi wrote:
>>
>>
>> Il 27 Giu 2016 18:18, "Ricky Schneberger"  ha
>> scritto:
>> >
>> > On 2016-06-27 17:44, Simone Tiraboschi wrote:
>> > > On Mon, Jun 27, 2016 at 5:05 PM, Ricky Schneberger
>> > wrote:
>> > >> Hi,
>> > >>
>> > >> I ran my oVirt 3.6 on Centos6 and because of that I had to do a
>> manual
>> > >> migration when trying to move to oVirt 4.0.
>> > >>
>> > >> http://www.ovirt.org/documentation/migration-engine-3.6-to-4.0/
>> > >>
>> > >> Everything went OK until I did the restore,
>> > >>
>> > >> ## engine-backup --mode=restore --no-restore-permissions
>> --provision-db
>> > >> --file=engine-backup.tar.gz --log=engine-backup-restore.log
>> > >>
>> > >> Preparing to restore:
>> > >> - Unpacking file 'engine-backup.tar.gz'
>> > >> FATAL: Backup was created by version '3.6' and can not be
>> restored using
>> > >> the installed version 4.1
>> > > This looks pretty strange: it should be 4.0 and it should work.
>> > >
>> > > Can you please share the list of oVirt packages you installed on the
>> > > engine server?
>> > > Can you please share your oVirt repo details?
>> > >
>> > >> and then I got stucked. Is there something I need to do when I
>> do the
>> > >> backup?
>> > >>
>> > >> My old oVirt-engine was version ovirt-engine-3.6.3.4-1.el6.noarch
>> > >>
>> > >> regards
>> > >>
>> > >> --
>> > >> Ricky Schneberger
>> >
>> > I attached my repo files and below you find parts of my yum.log.
>>
>> OK, the issue is here: ovirt-master-snapshot is the nightly build
>> repo from the development branch.
>> If you want something stable, please downgrade to 4.0.
>>
>>
> The ovirt-master-snapshot is enabled by default when following the
> migration documentation. I don't think this is an good idea.
>
> Regards //Ricky
>
>
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users


OK, when using the right repos,
http://resources.ovirt.org/pub/yum-repo/ovirt-release40.rpm, I got
ovirt-engine 4.0.0.6.

Thanks.

-- 
Ricky Schneberger




Use PGP to protect your own privacy!

Key fingerprint = 59E1 2B00 C28B 6E0D C8D1  D85B 39AA 7CD5 B88C 0B63
Key-ID: 0xB88C0B63




signature.asc
Description: OpenPGP digital signature
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-28 Thread Ricky Schneberger
On 2016-06-27 23:52, Simone Tiraboschi wrote:
>
>
> Il 27 Giu 2016 18:18, "Ricky Schneberger"  > ha scritto:
> >
> > On 2016-06-27 17:44, Simone Tiraboschi wrote:
> > > On Mon, Jun 27, 2016 at 5:05 PM, Ricky Schneberger
> > wrote:
> > >> Hi,
> > >>
> > >> I ran my oVirt 3.6 on Centos6 and because of that I had to do a
> manual
> > >> migration when trying to move to oVirt 4.0.
> > >>
> > >> http://www.ovirt.org/documentation/migration-engine-3.6-to-4.0/
> > >>
> > >> Everything went OK until I did the restore,
> > >>
> > >> ## engine-backup --mode=restore --no-restore-permissions
> --provision-db
> > >> --file=engine-backup.tar.gz --log=engine-backup-restore.log
> > >>
> > >> Preparing to restore:
> > >> - Unpacking file 'engine-backup.tar.gz'
> > >> FATAL: Backup was created by version '3.6' and can not be
> restored using
> > >> the installed version 4.1
> > > This looks pretty strange: it should be 4.0 and it should work.
> > >
> > > Can you please share the list of oVirt packages you installed on the
> > > engine server?
> > > Can you please share your oVirt repo details?
> > >
> > >> and then I got stucked. Is there something I need to do when I do the
> > >> backup?
> > >>
> > >> My old oVirt-engine was version ovirt-engine-3.6.3.4-1.el6.noarch
> > >>
> > >> regards
> > >>
> > >> --
> > >> Ricky Schneberger
> >
> > I attached my repo files and below you find parts of my yum.log.
>
> OK, the issue is here: ovirt-master-snapshot is the nightly build repo
> from the development branch.
> If you want something stable, please downgrade to 4.0.
>
>
The ovirt-master-snapshot is enabled by default when following the
migration documentation. I don't think this is an good idea.

Regards //Ricky


signature.asc
Description: OpenPGP digital signature
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-28 Thread Ricky Schneberger
On 2016-06-27 19:15, Fernando Fuentes wrote:
> Ricky,
>
> I am under the impression that the DB migration was implemented in
> release 3.6.6.
>
> I might be wrong.
>
> https://www.ovirt.org/release/3.6.6/
>
> What's New in 3.6.6?
> Enhancement
> oVirt Engine
>
> BZ 1241149 [RFE] Provide way to preform in-cluster upgrade of hosts from
> el6->el7.
> BZ 1332463 [RFE] restore: ensure that 3.6 on el6 backup can be restored
> on 3.6 on el7
> Feature: 
>
> Allow engine-backup on el7 to restore backups taken on el6.
>
> Reason: 
>
> engine 4.0 does not support el6. Users that want to upgrade from 3.6 on
> el6 to 4.0 on el7 have to do this by backing up the engine on 3.6/el6
> and restore on 4.0/el7.
>
> This feature, backported from 4.0, allows to do such a migration also in
> 3.6.
>
> Result: 
>
> Using this flow, it's possible to migrate a el6 setup to el7:
>
> On the existing engine machine run:
> 1. engine-backup --mode=backup --file=engine-3.6.bck --log=backup.log
>
> On a new el7 machine:
> 2. Install engine, including dwh if it was set up on el6.
> 3. Copy engine-3.6.bck to the el7 machine
> 4. engine-backup --mode=restore --file=engine-3.6.bck --log=restore.log
> --provision-db --no-restore-permissions
> 5. engine-setup
>
> Check engine-backup documentation for other options, including using
> remote databases, extra grants/permissions, etc.
>
Hi,
I tried upgrade my old install to 3.6.6 with same result. I will try
downgrade to 4.0 to see what happen.

Regards

-- 
Ricky Schneberger




Use PGP to protect your own privacy!

Key fingerprint = 59E1 2B00 C28B 6E0D C8D1  D85B 39AA 7CD5 B88C 0B63
Key-ID: 0xB88C0B63





signature.asc
Description: OpenPGP digital signature
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-27 Thread Simone Tiraboschi
Il 27 Giu 2016 18:18, "Ricky Schneberger"  ha scritto:
>
> On 2016-06-27 17:44, Simone Tiraboschi wrote:
> > On Mon, Jun 27, 2016 at 5:05 PM, Ricky Schneberger 
wrote:
> >> Hi,
> >>
> >> I ran my oVirt 3.6 on Centos6 and because of that I had to do a manual
> >> migration when trying to move to oVirt 4.0.
> >>
> >> http://www.ovirt.org/documentation/migration-engine-3.6-to-4.0/
> >>
> >> Everything went OK until I did the restore,
> >>
> >> ## engine-backup --mode=restore --no-restore-permissions --provision-db
> >> --file=engine-backup.tar.gz --log=engine-backup-restore.log
> >>
> >> Preparing to restore:
> >> - Unpacking file 'engine-backup.tar.gz'
> >> FATAL: Backup was created by version '3.6' and can not be restored
using
> >> the installed version 4.1
> > This looks pretty strange: it should be 4.0 and it should work.
> >
> > Can you please share the list of oVirt packages you installed on the
> > engine server?
> > Can you please share your oVirt repo details?
> >
> >> and then I got stucked. Is there something I need to do when I do the
> >> backup?
> >>
> >> My old oVirt-engine was version ovirt-engine-3.6.3.4-1.el6.noarch
> >>
> >> regards
> >>
> >> --
> >> Ricky Schneberger
>
> I attached my repo files and below you find parts of my yum.log.

OK, the issue is here: ovirt-master-snapshot is the nightly build repo from
the development branch.
If you want something stable, please downgrade to 4.0.

> Jun 27 16:36:40 Installed:
> ovirt-release-master-4.0.0-0.3.master.20160518074018.gitec2301a.noarch
> Jun 27 16:42:01 Installed: ovirt-setup-lib-1.0.2-1.el7.centos.noarch
> Jun 27 16:42:30 Installed:
>
ovirt-engine-extensions-api-impl-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:42:31 Installed:
>
ovirt-engine-extension-aaa-jdbc-1.1.1-0.0.master.20160526092913.git2e68ef6.el7.noarch
> Jun 27 16:42:33 Installed:
> ovirt-engine-sdk-python-3.6.5.2-0.1.20160531.gite3a4f2a.el7.centos.noarch
> Jun 27 16:42:39 Installed: ovirt-host-deploy-1.5.0-1.el7.centos.noarch
> Jun 27 16:43:08 Installed:
> python-ovirt-engine-sdk4-4.0.0-0.3.a3.el7.centos.x86_64
> Jun 27 16:43:09 Installed:
>
ovirt-image-uploader-4.0.1-0.0.master.20160601214601.gitd6fd324.el7.centos.noarch
> Jun 27 16:43:09 Installed:
>
ovirt-iso-uploader-4.0.1-0.0.master.20160531154203.git7213b00.el7.centos.noarch
> Jun 27 16:43:16 Installed:
ovirt-engine-wildfly-overlay-10.0.0-1.el7.noarch
> Jun 27 16:43:42 Installed: ovirt-engine-wildfly-10.0.0-1.el7.x86_64
> Jun 27 16:43:59 Installed:
>
ovirt-engine-lib-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:44:04 Installed:
>
ovirt-engine-setup-base-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:44:40 Installed:
>
ovirt-engine-setup-plugin-ovirt-engine-common-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:44:41 Installed:
>
ovirt-engine-tools-backup-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:44:42 Installed:
>
ovirt-engine-setup-plugin-websocket-proxy-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:44:42 Installed:
>
ovirt-engine-websocket-proxy-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:45:28 Installed:
> ovirt-vmconsole-1.0.3-0.0.master.20160614081534.gitd1c5824.el7.noarch
> Jun 27 16:46:09 Installed:
>
ovirt-vmconsole-proxy-1.0.3-0.0.master.20160614081534.gitd1c5824.el7.noarch
> Jun 27 16:46:13 Installed: ovirt-engine-cli-3.6.7.0-1.el7.centos.noarch
> Jun 27 16:46:45 Installed:
ovirt-host-deploy-java-1.5.0-1.el7.centos.noarch
> Jun 27 16:46:56 Installed:
>
ovirt-engine-dwh-setup-4.1.0-0.0.master.20160623114857.git8c585e3.el7.centos.noarch
> Jun 27 16:46:58 Installed:
>
ovirt-engine-dwh-4.1.0-0.0.master.20160623114857.git8c585e3.el7.centos.noarch
> Jun 27 16:47:13 Installed:
> ovirt-engine-dashboard-1.0.0-0.3.20160622gitdf5c4fb.el7.centos.noarch
> Jun 27 16:47:30 Installed:
>
ovirt-engine-webadmin-portal-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:47:34 Installed:
>
ovirt-engine-backend-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:47:35 Installed:
>
ovirt-engine-dbscripts-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:47:36 Installed:
>
ovirt-engine-setup-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:47:37 Installed:
>
ovirt-engine-vmconsole-proxy-helper-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:47:37 Installed:
>
ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:47:39 Installed:
>
ovirt-engine-setup-plugin-ovirt-engine-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:47:57 Installed:
>
ovirt-engine-userportal-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
> Jun 27 16:47:58 Installed:
>

Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-27 Thread Ricky Schneberger
On 2016-06-27 17:44, Simone Tiraboschi wrote:
> On Mon, Jun 27, 2016 at 5:05 PM, Ricky Schneberger  
> wrote:
>> Hi,
>>
>> I ran my oVirt 3.6 on Centos6 and because of that I had to do a manual
>> migration when trying to move to oVirt 4.0.
>>
>> http://www.ovirt.org/documentation/migration-engine-3.6-to-4.0/
>>
>> Everything went OK until I did the restore,
>>
>> ## engine-backup --mode=restore --no-restore-permissions --provision-db
>> --file=engine-backup.tar.gz --log=engine-backup-restore.log
>>
>> Preparing to restore:
>> - Unpacking file 'engine-backup.tar.gz'
>> FATAL: Backup was created by version '3.6' and can not be restored using
>> the installed version 4.1
> This looks pretty strange: it should be 4.0 and it should work.
>
> Can you please share the list of oVirt packages you installed on the
> engine server?
> Can you please share your oVirt repo details?
>
>> and then I got stucked. Is there something I need to do when I do the
>> backup?
>>
>> My old oVirt-engine was version ovirt-engine-3.6.3.4-1.el6.noarch
>>
>> regards
>>
>> --
>> Ricky Schneberger

I attached my repo files and below you find parts of my yum.log.

Jun 27 16:36:40 Installed:
ovirt-release-master-4.0.0-0.3.master.20160518074018.gitec2301a.noarch
Jun 27 16:42:01 Installed: ovirt-setup-lib-1.0.2-1.el7.centos.noarch
Jun 27 16:42:30 Installed:
ovirt-engine-extensions-api-impl-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:42:31 Installed:
ovirt-engine-extension-aaa-jdbc-1.1.1-0.0.master.20160526092913.git2e68ef6.el7.noarch
Jun 27 16:42:33 Installed:
ovirt-engine-sdk-python-3.6.5.2-0.1.20160531.gite3a4f2a.el7.centos.noarch
Jun 27 16:42:39 Installed: ovirt-host-deploy-1.5.0-1.el7.centos.noarch
Jun 27 16:43:08 Installed:
python-ovirt-engine-sdk4-4.0.0-0.3.a3.el7.centos.x86_64
Jun 27 16:43:09 Installed:
ovirt-image-uploader-4.0.1-0.0.master.20160601214601.gitd6fd324.el7.centos.noarch
Jun 27 16:43:09 Installed:
ovirt-iso-uploader-4.0.1-0.0.master.20160531154203.git7213b00.el7.centos.noarch
Jun 27 16:43:16 Installed: ovirt-engine-wildfly-overlay-10.0.0-1.el7.noarch
Jun 27 16:43:42 Installed: ovirt-engine-wildfly-10.0.0-1.el7.x86_64
Jun 27 16:43:59 Installed:
ovirt-engine-lib-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:44:04 Installed:
ovirt-engine-setup-base-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:44:40 Installed:
ovirt-engine-setup-plugin-ovirt-engine-common-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:44:41 Installed:
ovirt-engine-tools-backup-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:44:42 Installed:
ovirt-engine-setup-plugin-websocket-proxy-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:44:42 Installed:
ovirt-engine-websocket-proxy-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:45:28 Installed:
ovirt-vmconsole-1.0.3-0.0.master.20160614081534.gitd1c5824.el7.noarch
Jun 27 16:46:09 Installed:
ovirt-vmconsole-proxy-1.0.3-0.0.master.20160614081534.gitd1c5824.el7.noarch
Jun 27 16:46:13 Installed: ovirt-engine-cli-3.6.7.0-1.el7.centos.noarch
Jun 27 16:46:45 Installed: ovirt-host-deploy-java-1.5.0-1.el7.centos.noarch
Jun 27 16:46:56 Installed:
ovirt-engine-dwh-setup-4.1.0-0.0.master.20160623114857.git8c585e3.el7.centos.noarch
Jun 27 16:46:58 Installed:
ovirt-engine-dwh-4.1.0-0.0.master.20160623114857.git8c585e3.el7.centos.noarch
Jun 27 16:47:13 Installed:
ovirt-engine-dashboard-1.0.0-0.3.20160622gitdf5c4fb.el7.centos.noarch
Jun 27 16:47:30 Installed:
ovirt-engine-webadmin-portal-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:47:34 Installed:
ovirt-engine-backend-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:47:35 Installed:
ovirt-engine-dbscripts-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:47:36 Installed:
ovirt-engine-setup-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:47:37 Installed:
ovirt-engine-vmconsole-proxy-helper-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:47:37 Installed:
ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:47:39 Installed:
ovirt-engine-setup-plugin-ovirt-engine-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:47:57 Installed:
ovirt-engine-userportal-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:47:58 Installed:
ovirt-engine-restapi-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:47:59 Installed:
ovirt-engine-tools-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch
Jun 27 16:48:00 Installed:
ovirt-engine-4.1.0-0.0.master.20160626231337.git2603680.el7.centos.noarch


Regards

//Ricky

[ovirt-master-snapshot]
name=Latest oVirt master nightly snapshot
#baseurl=http://resources.ovirt.org/pub/ovirt-master-snapshot/rpm/el$releasever/

Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-27 Thread Fernando Fuentes
Just curious.
Is the ovirt where the backup is coming from above version 3.6.6?

Regards,

-- 
Fernando Fuentes
ffuen...@txweather.org
http://www.txweather.org

On Mon, Jun 27, 2016, at 10:44 AM, Simone Tiraboschi wrote:
> On Mon, Jun 27, 2016 at 5:05 PM, Ricky Schneberger 
> wrote:
> > Hi,
> >
> > I ran my oVirt 3.6 on Centos6 and because of that I had to do a manual
> > migration when trying to move to oVirt 4.0.
> >
> > http://www.ovirt.org/documentation/migration-engine-3.6-to-4.0/
> >
> > Everything went OK until I did the restore,
> >
> > ## engine-backup --mode=restore --no-restore-permissions --provision-db
> > --file=engine-backup.tar.gz --log=engine-backup-restore.log
> >
> > Preparing to restore:
> > - Unpacking file 'engine-backup.tar.gz'
> > FATAL: Backup was created by version '3.6' and can not be restored using
> > the installed version 4.1
> 
> This looks pretty strange: it should be 4.0 and it should work.
> 
> Can you please share the list of oVirt packages you installed on the
> engine server?
> Can you please share your oVirt repo details?
> 
> > and then I got stucked. Is there something I need to do when I do the
> > backup?
> >
> > My old oVirt-engine was version ovirt-engine-3.6.3.4-1.el6.noarch
> >
> > regards
> >
> > --
> > Ricky Schneberger
> >
> > 
> >
> > Use PGP to protect your own privacy!
> >
> > Key fingerprint = 59E1 2B00 C28B 6E0D C8D1  D85B 39AA 7CD5 B88C 0B63
> > Key-ID: 0xB88C0B63
> >
> >
> >
> >
> > ___
> > Users mailing list
> > Users@ovirt.org
> > http://lists.ovirt.org/mailman/listinfo/users
> >
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] restore of backup fail when Migrating to ovirt-engine 4.0

2016-06-27 Thread Simone Tiraboschi
On Mon, Jun 27, 2016 at 5:05 PM, Ricky Schneberger  wrote:
> Hi,
>
> I ran my oVirt 3.6 on Centos6 and because of that I had to do a manual
> migration when trying to move to oVirt 4.0.
>
> http://www.ovirt.org/documentation/migration-engine-3.6-to-4.0/
>
> Everything went OK until I did the restore,
>
> ## engine-backup --mode=restore --no-restore-permissions --provision-db
> --file=engine-backup.tar.gz --log=engine-backup-restore.log
>
> Preparing to restore:
> - Unpacking file 'engine-backup.tar.gz'
> FATAL: Backup was created by version '3.6' and can not be restored using
> the installed version 4.1

This looks pretty strange: it should be 4.0 and it should work.

Can you please share the list of oVirt packages you installed on the
engine server?
Can you please share your oVirt repo details?

> and then I got stucked. Is there something I need to do when I do the
> backup?
>
> My old oVirt-engine was version ovirt-engine-3.6.3.4-1.el6.noarch
>
> regards
>
> --
> Ricky Schneberger
>
> 
>
> Use PGP to protect your own privacy!
>
> Key fingerprint = 59E1 2B00 C28B 6E0D C8D1  D85B 39AA 7CD5 B88C 0B63
> Key-ID: 0xB88C0B63
>
>
>
>
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users
>
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users